#jinja2: lstrip_blocks: True, trim_blocks: True
#!/sbin/openrc-run

# The special RC_SVCNAME variable also contains the name of this service.
name="${SVCNAME}"
user="root"
workdir="/root"
piddir="/var/run"
pidfile="${piddir}/${name}.pid"
description="GitLab-CI runner service"
script="{{ gitlab_runner_binary_file }}"
script_args="run --config {{ gitlab_runner_config_file }}"

depend() {
        need net
        need localmount
}

start() {
        ebegin "Starting ${name} ..."
        checkpath --directory "${piddir}"
        checkpath --file --owner "${user}" --mode 0640 "${LOGFILE}"
        start-stop-daemon --start \
                          --background \
                          --user "${user}" \
                          --chdir "${workdir}" \
                          --make-pidfile --pidfile "${pidfile}" \
                          --stdout "${LOGFILE}" \
                          --stderr "${LOGFILE}" \
                          --exec ${script} -- ${script_args}
        eend $?
}

stop() {
        ebegin "Stopping ${name} ..."
        start-stop-daemon --stop \
                          --pidfile "${pidfile}"
        eend $?
}
